Subject: Re: I still use git whatchanged

From: Junio C Hamano <[email-masked]>
Date: Mon, 29 Sep 2025 07:16:36 -0700

"Kristoffer Haugsbakk" <[email-masked]> writes:

> On Mon, Sep 29, 2025, at 10:42, Henrik Bennin wrote:
>> May I ask not to remove git whatchanged because I still use it regularly?
>
> What the error message you got doesn’t say is that you can use
> git-log(1) instead.  It supports everything that git-whatchanged(1)
> supports.
>
> • Given: `git whatchanged <opts>`
> • Replace with: `git log <opts> --no-merges --raw`
>
> Additionally for the sake of readability, you might have more use for
> `--stat` or `--name-only` rather than `--raw` if you are only reading
> the output.

We probably should merge kh/you-still-use-whatchanged-fix to produce
Git 2.51.1 sooner.

Thanks.